<bugID>350525<Summary>New session restore API needs accompanying unit tests</Summary><Description>Bug 344640 added a lot of new API functionality to session restore. I think it would be cool if we could get unit tests for these APIs.

Something similar to what Dietrich did here would be nice: http://lxr.mozilla.org/seamonkey/source/browser/components/sessionstore/test/nsSessionStoreTest.xul</Description></bugID>